// DrawAndDrawView.h : interface of the CDrawAndDrawView class
//

/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DRAWANDDRAWVIEW_H__B94E5274_63FA_11D6_9EE7_CD2745F07739__INCLUDED_)
#define AFX_DRAWANDDRAWVIEW_H__B94E5274_63FA_11D6_9EE7_CD2745F07739__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DrawAndDrawDoc.h"

class CDrawAndDrawView : public CView
{
public:    // create from serialization only
	CDrawAndDrawView();
	DECLARE_DYNCREATE(CDrawAndDrawView)

// Attributes
public:
	CDrawAndDrawDoc* GetDocument();

// Operations
public:
    int     m_nPrevRow;
    int     m_nPrevCol;

	CString m_color;
	CString m_cursor;

    CBitmap m_bmInitCell;
	CBitmap m_bmCurCell;
	CBitmap* pCurBitmap;

    CPoint  m_ptOrg;


    void DrawCell(CDC* pDC);
    void SetGridOrigin (int, int);
	void CurBitmap();
	void CurCursor();	
	void StatusBarData();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDrawAndDrawView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDrawAndDrawView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(CDrawAndDrawView)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnWhite();
	afx_msg void OnGray();
	afx_msg void OnBlack();
	afx_msg void OnRed();
	afx_msg void OnGreen();
	afx_msg void OnBlue();
	afx_msg void OnSilver();
	afx_msg void OnNavy();
	afx_msg void OnYellow();
	afx_msg void OnOlive();
	afx_msg void OnFuchia();
	afx_msg void OnTeal();
	afx_msg void OnPencil();
	afx_msg void OnPen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DrawAndDrawView.cpp
inline CDrawAndDrawDoc* CDrawAndDrawView::GetDocument()
   { return (CDrawAndDrawDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DRAWANDDRAWVIEW_H__B94E5274_63FA_11D6_9EE7_CD2745F07739__INCLUDED_)
